# AP4_AtomSampleTable Class Reference

`#include <Ap4AtomSampleTable.h>`

Inheritance diagram for AP4_AtomSampleTable:

List of all members.

## Public Member Functions
| AP4_AtomSampleTable (AP4_ContainerAtom *stbl_atom, AP4_ByteStream &sample_stream)
virtual | ~AP4_AtomSampleTable ()
virtual AP4_Result | GetSample (AP4_Ordinal sample_index, AP4_Sample &sample)
virtual AP4_Cardinal | GetSampleCount ()
virtual AP4_SampleDescription * | GetSampleDescription (AP4_Ordinal sd_index)
virtual AP4_Cardinal | GetSampleDescriptionCount ()
virtual AP4_Result | GetSampleChunkPosition (AP4_Ordinal sample_index, AP4_Ordinal &chunk_index, AP4_Ordinal &position_in_chunk)
virtual AP4_Result | GetSampleIndexForTimeStamp (AP4_TimeStamp ts, AP4_Ordinal &sample_index)
virtual AP4_Result | GetChunkForSample (AP4_Ordinal sample_index, AP4_Ordinal &chunk_index, AP4_Ordinal &position_in_chunk, AP4_Ordinal &sample_description_index)
virtual AP4_Result | GetChunkOffset (AP4_Ordinal chunk_index, AP4_Position &offset)
virtual AP4_Result | SetChunkOffset (AP4_Ordinal chunk_index, AP4_Position offset)
virtual AP4_Result | SetSampleSize (AP4_Ordinal sample_index, AP4_Size size)

## Detailed Description

Definition at line 55 of file Ap4AtomSampleTable.h.

## Constructor & Destructor Documentation

AP4_AtomSampleTable::AP4_AtomSampleTable | ( | AP4_ContainerAtom * | stbl_atom,
|  | AP4_ByteStream & | sample_stream |
| ) |  |  |

virtual AP4_AtomSampleTable::~AP4_AtomSampleTable | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AP4_Result AP4_AtomSampleTable::GetSample | ( | AP4_Ordinal | sample_index,
|  | AP4_Sample & | sample |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Cardinal AP4_AtomSampleTable::GetSampleCount | ( |  | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_SampleDescription* AP4_AtomSampleTable::GetSampleDescription | ( | AP4_Ordinal | sd_index | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Cardinal AP4_AtomSampleTable::GetSampleDescriptionCount | ( |  | ) | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_AtomSampleTable::GetSampleChunkPosition | ( | AP4_Ordinal | sample_index,
|  | AP4_Ordinal & | chunk_index,
|  | AP4_Ordinal & | position_in_chunk |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_AtomSampleTable::GetSampleIndexForTimeStamp | ( | AP4_TimeStamp | ts,
|  | AP4_Ordinal & | sample_index |
| ) |  |  | `[virtual]`

Implements AP4_SampleTable.

virtual AP4_Result AP4_AtomSampleTable::GetChunkForSample | ( | AP4_Ordinal | sample_index,
|  | AP4_Ordinal & | chunk_index,
|  | AP4_Ordinal & | position_in_chunk,
|  | AP4_Ordinal & | sample_description_index |
| ) |  |  | `[virtual]`

virtual AP4_Result AP4_AtomSampleTable::GetChunkOffset | ( | AP4_Ordinal | chunk_index,
|  | AP4_Position & | offset |
| ) |  |  | `[virtual]`

virtual AP4_Result AP4_AtomSampleTable::SetChunkOffset | ( | AP4_Ordinal | chunk_index,
|  | AP4_Position | offset |
| ) |  |  | `[virtual]`

virtual AP4_Result AP4_AtomSampleTable::SetSampleSize | ( | AP4_Ordinal | sample_index,
|  | AP4_Size | size |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- Ap4AtomSampleTable.h